RDKit: RDKit::FMCS::Seed Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
RDKit::FMCS::Seed Class Reference

`#include <Seed.h>`

## Public Member Functions
| Seed ()
void | setMoleculeFragment (const Seed &src)
Seed & | operator= (const Seed &src)
void | createFromParent (const Seed *parent)
unsigned | getNumAtoms () const
unsigned | getNumBonds () const
void | grow (MaximumCommonSubgraph &mcs) const
bool | canGrowBiggerThan (unsigned maxBonds, unsigned maxAtoms) const
void | computeRemainingSize (const ROMol &qmol)
unsigned | addAtom (const Atom *atom)
unsigned | addBond (const Bond *bond)
void | fillNewBonds (const ROMol &qmol)

## Public Attributes
bool | CopyComplete
unsigned | GrowingStage
MolFragment | MoleculeFragment
Graph | Topology
std::vector< bool > | ExcludedBonds
unsigned | LastAddedAtomsBeginIdx
unsigned | LastAddedBondsBeginIdx
unsigned | RemainingBonds
unsigned | RemainingAtoms
DuplicatedSeedCache::TKey | DupCacheKey
std::vector< TargetMatch > | MatchResult

## Detailed Description

Definition at line 60 of file Seed.h.

## Constructor & Destructor Documentation

RDKit::FMCS::Seed::Seed | ( |  | ) |
| inline

Definition at line 83 of file Seed.h.

## Member Function Documentation

unsigned RDKit::FMCS::Seed::addAtom | ( | const Atom * | atom | ) |

unsigned RDKit::FMCS::Seed::addBond | ( | const Bond * | bond | ) |

bool RDKit::FMCS::Seed::canGrowBiggerThan | ( | unsigned | maxBonds,
|  | unsigned | maxAtoms
| ) |  | const
| inline

Definition at line 129 of file Seed.h.

void RDKit::FMCS::Seed::computeRemainingSize | ( | const ROMol & | qmol | ) |

void RDKit::FMCS::Seed::createFromParent | ( | const Seed * | parent | ) |
| inline

Definition at line 111 of file Seed.h.

References DupCacheKey, ExcludedBonds, MoleculeFragment, RemainingAtoms, RemainingBonds, and Topology.

void RDKit::FMCS::Seed::fillNewBonds | ( | const ROMol & | qmol | ) |

unsigned RDKit::FMCS::Seed::getNumAtoms | ( |  | ) | const
| inline

Definition at line 125 of file Seed.h.

References RDKit::FMCS::MolFragment::AtomsIdx.

Referenced by RDKit::FMCS::SubstructureCache::HashKey::computeKey().

unsigned RDKit::FMCS::Seed::getNumBonds | ( |  | ) | const
| inline

Definition at line 126 of file Seed.h.

References RDKit::FMCS::MolFragment::BondsIdx.

Referenced by RDKit::FMCS::SeedSet::add(), and RDKit::FMCS::SubstructureCache::HashKey::computeKey().

void RDKit::FMCS::Seed::grow | ( | MaximumCommonSubgraph & | mcs | ) | const

Seed& RDKit::FMCS::Seed::operator= | ( | const Seed & | src | ) |
| inline

Definition at line 94 of file Seed.h.

References DupCacheKey, ExcludedBonds, GrowingStage, LastAddedAtomsBeginIdx, LastAddedBondsBeginIdx, MatchResult, MoleculeFragment, RemainingAtoms, RemainingBonds, and Topology.

void RDKit::FMCS::Seed::setMoleculeFragment | ( | const Seed & | src | ) |
| inline

Definition at line 91 of file Seed.h.

References MoleculeFragment.

Referenced by RDKit::FMCS::SeedSet::add().

## Member Data Documentation

bool RDKit::FMCS::Seed::CopyComplete

Definition at line 65 of file Seed.h.

DuplicatedSeedCache::TKey RDKit::FMCS::Seed::DupCacheKey

Definition at line 79 of file Seed.h.

Referenced by createFromParent(), and operator=().

std::vector<bool> RDKit::FMCS::Seed::ExcludedBonds

Definition at line 72 of file Seed.h.

Referenced by createFromParent(), and operator=().

unsigned RDKit::FMCS::Seed::GrowingStage
| mutable

Definition at line 67 of file Seed.h.

Referenced by operator=().

unsigned RDKit::FMCS::Seed::LastAddedAtomsBeginIdx

Definition at line 73 of file Seed.h.

Referenced by operator=().

unsigned RDKit::FMCS::Seed::LastAddedBondsBeginIdx

Definition at line 75 of file Seed.h.

Referenced by operator=().

std::vector<TargetMatch> RDKit::FMCS::Seed::MatchResult

Definition at line 81 of file Seed.h.

Referenced by operator=().

MolFragment RDKit::FMCS::Seed::MoleculeFragment

Definition at line 69 of file Seed.h.

Referenced by RDKit::FMCS::SubstructureCache::HashKey::computeKey(), createFromParent(), RDKit::FMCS::TargetMatch::init(), operator=(), and setMoleculeFragment().

unsigned RDKit::FMCS::Seed::RemainingAtoms

Definition at line 77 of file Seed.h.

Referenced by createFromParent(), and operator=().

unsigned RDKit::FMCS::Seed::RemainingBonds

Definition at line 76 of file Seed.h.

Referenced by createFromParent(), and operator=().

Graph RDKit::FMCS::Seed::Topology

Definition at line 70 of file Seed.h.

Referenced by RDKit::FMCS::SubstructureCache::add(), createFromParent(), and operator=().

The documentation for this class was generated from the following file:

- Seed.h